Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class HTTPConstants

    java.lang.Object
      |
      +--org.apache.axis.transport.http.HTTPConstants

public class HTTPConstants
extends java.lang.Object

HTTP protocol and message context constants.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Jacek Kopecky (jacek@idoox.com)

Field Summary
`static java.lang.String` | `HEADER_ACCEPT`
`static java.lang.String` | `HEADER_ACCEPT_APPL_SOAP`
`static java.lang.String` | `HEADER_ACCEPT_APPLICATION_DIME`
`static java.lang.String` | `HEADER_ACCEPT_MULTIPART_RELATED`
`static java.lang.String` | `HEADER_ACCEPT_TEXT_ALL`
`static java.lang.String` | `HEADER_AUTHORIZATION`
`static java.lang.String` | `HEADER_CACHE_CONTROL`
`static java.lang.String` | `HEADER_CACHE_CONTROL_NOCACHE`
`static java.lang.String` | `HEADER_CONNECTION`
`static java.lang.String` | `HEADER_CONNECTION_CLOSE`
`static java.lang.String` | `HEADER_CONNECTION_KEEPALIVE`
`static java.lang.String` | `HEADER_CONTENT_DESCRIPTION`
`static java.lang.String` | `HEADER_CONTENT_ID`
`static java.lang.String` | `HEADER_CONTENT_LENGTH`
`static java.lang.String` | `HEADER_CONTENT_LOCATION`
`static java.lang.String` | `HEADER_CONTENT_TRANSFER_ENCODING`
`static java.lang.String` | `HEADER_CONTENT_TYPE`
`static java.lang.String` | `HEADER_CONTENT_TYPE_JMS`
`static java.lang.String` | `HEADER_COOKIE` Cookie headers
`static java.lang.String` | `HEADER_COOKIE2`
`static java.lang.String` | `HEADER_DEFAULT_CHAR_ENCODING` HTTP header field values
`static java.lang.String` | `HEADER_EXPECT`
`static java.lang.String` | `HEADER_EXPECT_100_Continue`
`static java.lang.String` | `HEADER_HOST`
`static java.lang.String` | `HEADER_POST`
`static java.lang.String` | `HEADER_PRAGMA`
`static java.lang.String` | `HEADER_PROTOCOL_10` The MessageContext transport ID of HTTP.
`static java.lang.String` | `HEADER_PROTOCOL_11`
`static java.lang.String` | `HEADER_PROTOCOL_V10`
`static java.lang.String` | `HEADER_PROTOCOL_V11`
`static java.lang.String` | `HEADER_PROXY_AUTHORIZATION`
`static java.lang.String` | `HEADER_SET_COOKIE`
`static java.lang.String` | `HEADER_SET_COOKIE2`
`static java.lang.String` | `HEADER_SOAP_ACTION`
`static java.lang.String` | `HEADER_TRANSFER_ENCODING`
`static java.lang.String` | `HEADER_TRANSFER_ENCODING_CHUNKED`
`static java.lang.String` | `HEADER_USER_AGENT`
`static java.lang.String` | `MC_HTTP_SERVLET` HttpServlet
`static java.lang.String` | `MC_HTTP_SERVLETLOCATION`
`static java.lang.String` | `MC_HTTP_SERVLETPATHINFO`
`static java.lang.String` | `MC_HTTP_SERVLETREQUEST` HttpServletRequest
`static java.lang.String` | `MC_HTTP_SERVLETRESPONSE` HttpServletResponse
`static java.lang.String` | `MC_HTTP_SOAPACTION` Deprecated. Should use javax.xml.rpc.Call.SOAPACTION_URI_PROPERTY instead.
`static java.lang.String` | `MC_HTTP_STATUS_CODE` Integer
`static java.lang.String` | `MC_HTTP_STATUS_MESSAGE` String
`static java.lang.String` | `REQUEST_HEADERS`
`static java.lang.String` | `RESPONSE_HEADERS`

Constructor Summary
`HTTPConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_PROTOCOL_10

    public static final java.lang.String HEADER_PROTOCOL_10

  The MessageContext transport ID of HTTP. (Maybe this should be more specific, like "http_servlet", whaddya think? - todo by Jacek)

### HEADER_PROTOCOL_11

    public static final java.lang.String HEADER_PROTOCOL_11

### HEADER_PROTOCOL_V10

    public static final java.lang.String HEADER_PROTOCOL_V10

### HEADER_PROTOCOL_V11

    public static final java.lang.String HEADER_PROTOCOL_V11

### HEADER_POST

    public static final java.lang.String HEADER_POST

### HEADER_HOST

    public static final java.lang.String HEADER_HOST

### HEADER_CONTENT_DESCRIPTION

    public static final java.lang.String HEADER_CONTENT_DESCRIPTION

### HEADER_CONTENT_TYPE

    public static final java.lang.String HEADER_CONTENT_TYPE

### HEADER_CONTENT_TRANSFER_ENCODING

    public static final java.lang.String HEADER_CONTENT_TRANSFER_ENCODING

### HEADER_CONTENT_TYPE_JMS

    public static final java.lang.String HEADER_CONTENT_TYPE_JMS

### HEADER_CONTENT_LENGTH

    public static final java.lang.String HEADER_CONTENT_LENGTH

### HEADER_CONTENT_LOCATION

    public static final java.lang.String HEADER_CONTENT_LOCATION

### HEADER_CONTENT_ID

    public static final java.lang.String HEADER_CONTENT_ID

### HEADER_SOAP_ACTION

    public static final java.lang.String HEADER_SOAP_ACTION

### HEADER_AUTHORIZATION

    public static final java.lang.String HEADER_AUTHORIZATION

### HEADER_PROXY_AUTHORIZATION

    public static final java.lang.String HEADER_PROXY_AUTHORIZATION

### HEADER_EXPECT

    public static final java.lang.String HEADER_EXPECT

### HEADER_EXPECT_100_Continue

    public static final java.lang.String HEADER_EXPECT_100_Continue

### HEADER_USER_AGENT

    public static final java.lang.String HEADER_USER_AGENT

### HEADER_CACHE_CONTROL

    public static final java.lang.String HEADER_CACHE_CONTROL

### HEADER_CACHE_CONTROL_NOCACHE

    public static final java.lang.String HEADER_CACHE_CONTROL_NOCACHE

### HEADER_PRAGMA

    public static final java.lang.String HEADER_PRAGMA

### REQUEST_HEADERS

    public static final java.lang.String REQUEST_HEADERS

### RESPONSE_HEADERS

    public static final java.lang.String RESPONSE_HEADERS

### HEADER_TRANSFER_ENCODING

    public static final java.lang.String HEADER_TRANSFER_ENCODING

### HEADER_TRANSFER_ENCODING_CHUNKED

    public static final java.lang.String HEADER_TRANSFER_ENCODING_CHUNKED

### HEADER_CONNECTION

    public static final java.lang.String HEADER_CONNECTION

### HEADER_CONNECTION_CLOSE

    public static final java.lang.String HEADER_CONNECTION_CLOSE

### HEADER_CONNECTION_KEEPALIVE

    public static final java.lang.String HEADER_CONNECTION_KEEPALIVE

### HEADER_ACCEPT

    public static final java.lang.String HEADER_ACCEPT

### HEADER_ACCEPT_TEXT_ALL

    public static final java.lang.String HEADER_ACCEPT_TEXT_ALL

### HEADER_ACCEPT_APPL_SOAP

    public static final java.lang.String HEADER_ACCEPT_APPL_SOAP

### HEADER_ACCEPT_MULTIPART_RELATED

    public static final java.lang.String HEADER_ACCEPT_MULTIPART_RELATED

### HEADER_ACCEPT_APPLICATION_DIME

    public static final java.lang.String HEADER_ACCEPT_APPLICATION_DIME

### HEADER_COOKIE

    public static final java.lang.String HEADER_COOKIE

  Cookie headers

### HEADER_COOKIE2

    public static final java.lang.String HEADER_COOKIE2

### HEADER_SET_COOKIE

    public static final java.lang.String HEADER_SET_COOKIE

### HEADER_SET_COOKIE2

    public static final java.lang.String HEADER_SET_COOKIE2

### MC_HTTP_STATUS_CODE

    public static java.lang.String MC_HTTP_STATUS_CODE

  Integer

### MC_HTTP_STATUS_MESSAGE

    public static java.lang.String MC_HTTP_STATUS_MESSAGE

  String

### MC_HTTP_SERVLET

    public static java.lang.String MC_HTTP_SERVLET

  HttpServlet

### MC_HTTP_SERVLETREQUEST

    public static java.lang.String MC_HTTP_SERVLETREQUEST

  HttpServletRequest

### MC_HTTP_SERVLETRESPONSE

    public static java.lang.String MC_HTTP_SERVLETRESPONSE

  HttpServletResponse

### MC_HTTP_SERVLETLOCATION

    public static java.lang.String MC_HTTP_SERVLETLOCATION

### MC_HTTP_SERVLETPATHINFO

    public static java.lang.String MC_HTTP_SERVLETPATHINFO

### MC_HTTP_SOAPACTION

    public static java.lang.String MC_HTTP_SOAPACTION

  Deprecated. Should use javax.xml.rpc.Call.SOAPACTION_URI_PROPERTY instead.

### HEADER_DEFAULT_CHAR_ENCODING

    public static final java.lang.String HEADER_DEFAULT_CHAR_ENCODING

  HTTP header field values

Constructor Detail

### HTTPConstants

    public HTTPConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.